- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Xtext Class Reference

An xtext codec class. More...

`#include <gxtext.h>`

## Static Public Member Functions
static std::string | encode (const std::string &)
| Encodes the given string. More...
static std::string | decode (const std::string &)
| Decodes the given string. More...

## Detailed Description

An xtext codec class.

See also
  RFC1891 section 5

Definition at line 37 of file gxtext.h.

## Member Function Documentation

std::string G::Xtext::decode | ( | const std::string & | s | ) |
| static

Decodes the given string.

Definition at line 79 of file gxtext.cpp.

Referenced by encode(), GAuth::SecretsFile::id(), and GAuth::SecretsFile::secret().

std::string G::Xtext::encode | ( | const std::string & | s | ) |
| static

Encodes the given string.

Definition at line 58 of file gxtext.cpp.

References decode(), and G_ASSERT.

Referenced by GAuth::SecretsFile::secret().

The documentation for this class was generated from the following files:

- gxtext.h
- gxtext.cpp